Robot Simulator of the Robotics Group for Self-Organization of Control: Mediator Class Reference

# Mediator Class Reference

`#include <mediator.h>`

List of all members.

## Public Types
typedef std::vector < MediatorCollegue * > | MediatorCollegueListType
## Public Member Functions
| Mediator ()
virtual | ~Mediator ()
virtual void | mediatorInformed (MediatorCollegue *source, MediatorEvent *event)=0
void | addMediatorCollegue (MediatorCollegue *collegue)
void | removeMediatorCollegue (MediatorCollegue *collegue)
void | removeAllMediatorCollegues ()
MediatorCollegue * | getMediatorCollegue (unsigned int index)
unsigned int | getMediatorCollegueIndex (MediatorCollegue *collegue)
unsigned int | getNumberOfMediatorCollegues ()
void | mediate (unsigned int indexOfMediatorCollegue, MediatorEvent *event)
void | mediate (MediatorCollegue *collegue, MediatorEvent *event)
void | mediateToAll (MediatorEvent *event)
void | mediateToAllQMP (MediatorEvent *event)

## Member Typedef Documentation

typedef std::vector<MediatorCollegue*> MediatorCollegueListType

## Constructor & Destructor Documentation

Mediator | ( |  | ) |

~Mediator | ( |  | ) | `[virtual]`

## Member Function Documentation

void addMediatorCollegue | ( | MediatorCollegue * | collegue | ) |

MediatorCollegue * getMediatorCollegue | ( | unsigned int | index | ) |

unsigned int getMediatorCollegueIndex | ( | MediatorCollegue * | collegue | ) |

unsigned int getNumberOfMediatorCollegues | ( |  | ) |

void mediate | ( | MediatorCollegue * | collegue,
|  | MediatorEvent * | event |
| ) |  |  |

void mediate | ( | unsigned int | indexOfMediatorCollegue,
|  | MediatorEvent * | event |
| ) |  |  |

void mediateToAll | ( | MediatorEvent * | event | ) |

void mediateToAllQMP | ( | MediatorEvent * | event | ) |

virtual void mediatorInformed | ( | MediatorCollegue * | source,
|  | MediatorEvent * | event |
| ) |  |  | `[pure virtual]`

void removeAllMediatorCollegues | ( |  | ) |

void removeMediatorCollegue | ( | MediatorCollegue * | collegue | ) |

The documentation for this class was generated from the following files:

- mediator.h
- mediator.cpp